Subject: Re: regression: 2.6.39-rc2,3 compile failure on p2020

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sat, 16 Apr 2011 17:39:29 +1000

On Sat, 2011-04-16 at 09:28 +0200, Richard Cochran wrote:
> When compiling mpc85xx_smp_defconfig, the kernel fails to link with:
> 
>    arch/powerpc/kernel/built-in.o: In function `cpu_die':
>    arch/powerpc/kernel/smp.c:702: undefined reference to
> `start_secondary_resume'
> 
> I suspect:
> 
>   commit fa3f82c8bb7acbe049ea71f258b3ae0a33d9d40b
>   powerpc/smp: soft-replugged CPUs must go back to start_secondary
> 
> The symbol start_secondary_resume is provided by head_32.S, but it is
> not present in head_fsl_booke.S.
> 
> I don't now how to fix this and would appreciate any help.

I'll fix it. Basically copy the code from head_32.S to head_fsl_booke.S

Thanks,

Cheers,
Ben.